package tech.nevets.vplus.food;

import net.minecraft.item.Item;
import net.minecraft.util.Identifier;
import net.minecraft.util.registry.Registry;

public class VPFood {

    public static final Item IRONAPPLE = new IronApple();
    public static final Item ENCHANTEDIRONAPPLE = new EnchantedIronApple();
    public static final Item DIAMONDAPPLE = new DiamondApple();
    public static final Item ENCHANTEDDIAMONDAPPLE = new EnchantedDiamondApple();
    public static final Item EMERALDAPPLE = new EmeraldApple();
    public static final Item ENCHANTEDEMERALDAPPLE = new EnchantedEmeraldApple();
    public static final Item NETHERITEAPPLE = new NetheriteApple();
    public static final Item ENCHANTEDNETHERITEAPPLE = new EnchantedNetheriteApple();
    public static final Item PLATINUMAPPLE = new PlatinumApple();
    public static final Item ENCHANTEDPLATINUMAPPLE = new EnchantedPlatinumApple();
    public static final Item RUBYAPPLE = new RubyApple();
    public static final Item ENCHANTEDRUBYAPPLE = new EnchantedRubyApple();

    public static void vpFood() {
        initializeApples();
    }

    //TODO Balance apple strengths
    public static void initializeApples() {
        Registry.register(Registry.ITEM, new Identifier("vplus", "iron_apple"), IRONAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_iron_apple"), ENCHANTEDIRONAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "diamond_apple"), DIAMONDAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_diamond_apple"), ENCHANTEDDIAMONDAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "emerald_apple"), EMERALDAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_emerald_apple"), ENCHANTEDEMERALDAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "netherite_apple"), NETHERITEAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_netherite_apple"), ENCHANTEDNETHERITEAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "platinum_apple"), PLATINUMAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_platinum_apple"), ENCHANTEDPLATINUMAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "ruby_apple"), RUBYAPPLE);
        Registry.register(Registry.ITEM, new Identifier("vplus", "enchanted_ruby_apple"), ENCHANTEDRUBYAPPLE);
    }
}
