package tech.nevets.vplus.items;

import net.fabricmc.fabric.api.client.itemgroup.FabricItemGroupBuilder;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;

public class VPItemGroups {
    //Creative Tab
    public static final ItemGroup ALL = FabricItemGroupBuilder.build(
            new Identifier("vplus", "all"),
            () -> new ItemStack((Items.GRASS_BLOCK)));
    //Combat Tab
    public static final ItemGroup COMBAT = FabricItemGroupBuilder.build(
            new Identifier("vplus", "combat"),
            () -> new ItemStack((Items.DIAMOND_SWORD)));
    //Tools Tab
    public static final ItemGroup TOOLS = FabricItemGroupBuilder.create(
                    new Identifier("vplus", "tools"))
            .icon(() -> new ItemStack(Items.DIAMOND_PICKAXE))
            /*.appendItems(stacks -> {
                stacks.add(new ItemStack(Main.RUBY));
                stacks.add(new ItemStack(Items.EMERALD_BLOCK));
            })*/
            .build();
    //Food Tab
    public static final ItemGroup FOOD = FabricItemGroupBuilder.build(
            new Identifier("vplus", "food"),
            () -> new ItemStack((Items.ENCHANTED_GOLDEN_APPLE)));
}
